﻿Imports System.Threading
Imports System.IO.Ports

Public Class Form2

    Dim SK_Controller As New SKSampleClass

    Private Sub Form2_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim ports As String() = SK_Controller.GetPortNames()
        ComboBox1.Items.AddRange(ports)
        SK_Controller.CurPosLabel = Me.Label_Position_0
        'Controller select (Choose used Controller)
        'SK_Controller.ControllerType = SKSampleClass.Controller_Type.FC_411

        Button2.Enabled = False
        GroupBox2.Enabled = False
        GroupBox3.Enabled = False
    End Sub

    'Connect To Port
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If Not (TypeOf ComboBox1.SelectedItem Is Object) OrElse Not (TypeOf ComboBox2.SelectedItem Is Object) Then
            MessageBox.Show(" Port and Baudrate should be both selecetd", " Error", MessageBoxButtons.OK, MessageBoxIcon.[Error])
            Return
        End If
        SK_Controller.PortName = ComboBox1.Text
        SK_Controller.Baudrate = ComboBox2.Text
        If SK_Controller.ConnectTest() = False Then
            MessageBox.Show(" Com port or Model selected is unknown", "Device Error", MessageBoxButtons.OK, MessageBoxIcon.[Error])
            SK_Controller.PortClose()
            Return
        End If
        If SK_Controller.Set_Model_controller() = False Then
            MessageBox.Show(" Com port or Model selected is unknown", "Device Error", MessageBoxButtons.OK, MessageBoxIcon.[Error])
            SK_Controller.PortClose()
            Return
        End If
        ProgressBar1.Value = 100
        Button1.Enabled = False
        Button2.Enabled = True
        GroupBox2.Enabled = True
        GroupBox3.Enabled = True
        ComboBox3.SelectedIndex = 0
    End Sub

    'Close Port
    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        SK_Controller.PortClose()
        Button1.Enabled = True
        Button2.Enabled = False
        ProgressBar1.Value = 0
        ComboBox1.Enabled = True
        ComboBox2.Enabled = True
        GroupBox2.Enabled = False
        GroupBox3.Enabled = False
    End Sub

    'Write SK Commands
    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        Dim SCommand As String = TextBox1.Text
        Dim RCommand As String
        RCommand = String.Empty

        SK_Controller.SGWrite(SCommand)
        Thread.Sleep(200)
        If SK_Controller.SK_SerialPort.BytesToRead = 0 Then
            Return
        End If
        SK_Controller.SGRead(RCommand)

        If RCommand <> "" Then
            TextBox2.Text = TextBox2.Text & RCommand + " "
            RCommand = ""
        End If
    End Sub

    'Home Command Axis  ( Current Position)
    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click

        If ComboBox3.SelectedIndex = 0 Then
            SK_Controller.ReturnOrigin(1)
        ElseIf ComboBox3.SelectedIndex = 1 Then
            SK_Controller.ReturnOrigin(2)
        Else
            SK_Controller.ReturnOrigin(0)
        End If

    End Sub


End Class