﻿using System;
using System.Threading;
using System.Windows.Forms;


    public partial class Form1 : Form
    {
    private SKSampleClass SK_Controller = new SKSampleClass();
    public Form1()
        {
            InitializeComponent();
        }

    private void Form1_Load(object sender, EventArgs e)
    {
        string[] ports = SK_Controller.GetPortNames();
        ComboBox1.Items.AddRange(ports);
        SK_Controller.CurPosLabel = this.Label_Position_0;
        // Controller select (Choose used Controller)
        SK_Controller.ControllerType = SKSampleClass.Controller_Type.Hit_MV;
        Button3.Enabled = false;
        Button2.Enabled = false;
        Button4.Enabled = false;
        checkBox1.Enabled = false;
        checkBox1.Checked = false;
        
        

    }

    // Connect To Port
    private void Button1_Click(object sender, EventArgs e)
    {

        SK_Controller.PortName = ComboBox1.Text;
        SK_Controller.Baudrate = Convert.ToInt32(ComboBox2.Text);
        SK_Controller.ConnectTest();
        ProgressBar1.Value = 100;
        Button1.Enabled = false;
        Button3.Enabled = true;
        Button2.Enabled = true;
        Button4.Enabled = true;
        ComboBox1.Enabled = false;
        ComboBox2.Enabled = false;
        SK_Controller.ShotMode();
        checkBox1.Enabled = true;
        if (SK_Controller.ControllerType == SKSampleClass.Controller_Type.HSC_103 || SK_Controller.ControllerType == SKSampleClass.Controller_Type.PGC_04)
        {
            checkBox1.Enabled = false;
        }
        this.checkBox1.Checked = false;
        if (SK_Controller.Hit_mode == true)
        {
            checkBox1.Checked = true;

        }
        
        
    }
    // Close Port
    private void Button2_Click(object sender, EventArgs e)
    {
        SK_Controller.PortClose();
        Button1.Enabled = true;
        Button2.Enabled = false;
        Button3.Enabled = false;
        Button4.Enabled = false;
        ProgressBar1.Value = 0;
        ComboBox1.Enabled = true;
        ComboBox2.Enabled = true;
        checkBox1.Enabled = false;
    }
    // Write SK Commands
    private void Button3_Click(object sender, EventArgs e)
    {
        string SCommand = TextBox1.Text;
        string RCommand;
        RCommand = string.Empty;

        SK_Controller.SGWrite(SCommand);
        Thread.Sleep(200);
        SK_Controller.SGRead(ref RCommand);

        if (RCommand != "")
        {
            TextBox2.Text = TextBox2.Text + RCommand;
            RCommand = "";
        }
    }
    // Home Command Axis 1 ( Current Position)
    private void Button4_Click(object sender, EventArgs e)
    {
        SK_Controller.ReturnOrigin(1);
        //SK_Controller.MoveA(1, 50000);
    }

    private void checkBox1_CheckStateChanged(object sender, EventArgs e)
    {
        if (checkBox1.Checked == true)
        {
            SK_Controller.Hit_mode = true;
            SK_Controller.HitMode();
        }
        else
        {
            SK_Controller.Hit_mode = false;
            SK_Controller.ShotMode();
            
        }
    }
}

