﻿Imports System.Threading

Public Class Form2

    Dim SK_Controller As New SKSampleClass

    Private Sub Form2_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim ports As String() = SK_Controller.GetPortNames()
        ComboBox1.Items.AddRange(ports)
        SK_Controller.CurPosLabel = Me.Label_Position_0
        'Controller select (Choose used Controller)
        SK_Controller.ControllerType = SKSampleClass.Controller_Type.Hit_MV
        Button3.Enabled = False
        Button2.Enabled = False
        Button4.Enabled = False
        CheckBox1.Enabled = False
        CheckBox1.Checked = False
    End Sub

    'Connect To Port
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        SK_Controller.PortName = ComboBox1.Text
        SK_Controller.Baudrate = ComboBox2.Text
        SK_Controller.ConnectTest()
        ProgressBar1.Value = 100
        Button1.Enabled = False
        Button3.Enabled = True
        Button2.Enabled = True
        Button4.Enabled = True
        ComboBox1.Enabled = False
        ComboBox2.Enabled = False
        SK_Controller.ShotMode()
        CheckBox1.Enabled = True
        If SK_Controller.ControllerType = SKSampleClass.Controller_Type.HSC_103 OrElse SK_Controller.ControllerType = SKSampleClass.Controller_Type.PGC_04 Then

            CheckBox1.Enabled = False
        End If
        CheckBox1.Checked = False
        If SK_Controller.Hit_mode = True Then

            CheckBox1.Checked = True
        End If


    End Sub

    'Close Port
    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        SK_Controller.PortClose()
        Button1.Enabled = True
        Button2.Enabled = False
        Button3.Enabled = False
        Button4.Enabled = False
        ProgressBar1.Value = 0
        ComboBox1.Enabled = True
        ComboBox2.Enabled = True
        CheckBox1.Enabled = False
    End Sub

    'Write SK Commands
    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        Dim SCommand As String = TextBox1.Text
        Dim RCommand As String
        RCommand = String.Empty

        SK_Controller.SGWrite(SCommand)
        Thread.Sleep(200)
        SK_Controller.SGRead(RCommand)

        If RCommand <> "" Then
            TextBox2.Text = TextBox2.Text & RCommand
            RCommand = ""
        End If
    End Sub

    'Home Command Axis 1 ( Current Position)
    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click

        SK_Controller.ReturnOrigin(1)
        SK_Controller.MoveR(1, 50000)

    End Sub

    Private Sub CheckBox1_CheckStateChanged(sender As Object, e As EventArgs) Handles CheckBox1.CheckStateChanged
        If Me.CheckBox1.Checked = True Then
            SK_Controller.Hit_mode = True
            SK_Controller.HitMode()
        Else
            SK_Controller.Hit_mode = False
            SK_Controller.ShotMode()
        End If
    End Sub
End Class